package com.DUNS;

import android.app.Activity;
import android.content.Intent;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.widget.CheckBox;
import android.widget.CompoundButton;
import android.widget.ToggleButton;

public class DUNIntent extends Activity {
    private SharedPreferences preferences;

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.intent);
        ToggleButton button = (ToggleButton)findViewById(R.id.start_stop);
        button.setChecked(isServiceRunning());
        button.setOnCheckedChangeListener(StartStopListener);
        preferences = getSharedPreferences("DUNServer", 0);
        CheckBox enableCheckBox = (CheckBox) findViewById(R.id.run_on_boot);
        enableCheckBox.setChecked(preferences.getBoolean("run_on_boot",false));
        enableCheckBox.setOnCheckedChangeListener(RunOnBootListener);
    }
    private CompoundButton.OnCheckedChangeListener  StartStopListener = new CompoundButton.OnCheckedChangeListener () {
		public void onCheckedChanged(CompoundButton buttonView,
				boolean isChecked) {
			if (!isChecked && isServiceRunning()) {
				stopService(new Intent(DUNIntent.this, DUNService.class));
			}
			if (isChecked && !isServiceRunning()) {
				startService(new Intent(DUNIntent.this, DUNService.class));
			}
		}
    };
    private CompoundButton.OnCheckedChangeListener RunOnBootListener = new CompoundButton.OnCheckedChangeListener() {
		public void onCheckedChanged(CompoundButton buttonView,
				boolean isChecked) {
			SharedPreferences.Editor editor = preferences.edit();
			editor.putBoolean("run_on_boot", isChecked);
			editor.apply();			
		}
    };
    
    @Override
    public void onStart() {
        super.onStart();
    }

    @Override
    public synchronized void onResume() {
        super.onResume();
    }
    private boolean isServiceRunning() {
    	return DUNService.ServiceRunning;
    }

}
